function [p ind] = makePDF(x,n)
%[p ind] = makePDF(x,n);
%[p ind] = makePDF(x,ind);
%
%makePDF takes data in x and makes a probability distribution with N bins.
%
%Variables
%   p           =   The probability distribution.
%   ind         =   The bin edges corresponding to each distribution value.
%   x           =   Data to be binned.
%   n           =   The number of bins.

eps = 1e-3;
rng = minmax(x);
if(length(n) == 1)
    ind = linspace(rng(1),rng(2),n+1);
else
    ind = n;
end

p = histc(x,ind);
p(end) = [];
p = makerow(p./sum(p));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function x = makerow(x)
%y = makerow(x)

x = squeeze(x);
if(size(x,2) == 1) 
    x = x';
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%